#include <iostream>

using namespace std;

int main()
{
    short broj_ponavljanja;
    cin >> broj_ponavljanja;

    for (int t = 0; t < broj_ponavljanja; ++t)
    {
        long long n, m, k;
        cin >> n >> m >> k;

        if (((n/k + 1)*(n/k)*k/2 + (n/k + 1)*(n%k)) > m) cout << "Nie\n";
        else cout << "Tak\n";
    }

    return 0;
}